Skip to content

Get Caption

Request

Description

The Caption Route is used to get a caption that describes the given image.

Headers
api_tokenstringrequired
Bodyapplication/json
image_urlstring

The URL of the input image. If both image_url and image_file are provided, image_url will be used. Accepted formats are jpeg, jpg, png, webp. Maximum file size 12MB.

filestring

The file of the input image, in base64 format. Used if image_url is not provided. Accepted formats are jpeg, jpg, png, webp. Maximum file size 12MB.

POST
/caption
curl -i -X POST \
  https://engine.prod.bria-api.com/v1/caption \
  -H 'Content-Type: application/json' \
  -H 'api_token: string' \
  -d '{
    "image_url": "string",
    "file": "string"
  }'

Responses

Successful operation.

Bodyapplication/json
resultsArray of objects
Response
{ "results": [ {} ] }